#include "gui.h"
#include <Wire.h>
#include <ACROBOTIC_SSD1306.h>
#include <Adafruit_GFX.h>
#include <Adafruit_SSD1306.h>

#define LOGO16_GLCD_HEIGHT 16 
#define LOGO16_GLCD_WIDTH  16 
#define OLED_RESET LED_BUILTIN
Adafruit_SSD1306 display(OLED_RESET);
#define NUMFLAKES 10
#define XPOS 0
#define YPOS 1
#define DELTAY 2
#define SSD1306_LCDHEIGHT 64
#if (SSD1306_LCDHEIGHT != 64)
#error("Height incorrect, please fix Adafruit_SSD1306.h!");
#endif

// OLED GUI FUER STARTUP DISPLAY INFOS.
int RunOnceWireBeginSetup = 0;
void void_OLED_runSetup(String string_var_Input, int int_var_row, int int_var_col, bool bool_var_nl){
  if (RunOnceWireBeginSetup == 0){
    Wire.begin();
    display.begin(SSD1306_SWITCHCAPVCC, 0x3C);
    RunOnceWireBeginSetup = RunOnceWireBeginSetup + 1;
    display.clearDisplay();
    Serial.println("*Info:DONE:InitDisplay");
    display.setCursor(0,0);
  }
  if (string_var_Input == "CLEAR"){
    display.clearDisplay();
    Serial.println("*Info:DONE:Clear Display");
    return;
  }          
  display.setTextSize(1);
  display.setTextColor(WHITE);
  if (bool_var_nl){
    display.println(string_var_Input);
  } else{
    display.print(string_var_Input);
  }
  display.display();
}


void void_OLED_runloop_TempHum(String string_var_Input1, String string_var_Input2, int int_var_Input_WLAN){
  if (RunOnceWireBeginSetup == 0){
    Wire.begin();
    display.begin(SSD1306_SWITCHCAPVCC, 0x3C);
    RunOnceWireBeginSetup = RunOnceWireBeginSetup + 1;
    display.clearDisplay();
    Serial.println("*Info:DONE:InitDisplay");
  }
  //display.clearDisplay();
  display.clearDisplay();
  display.setTextColor(WHITE);
  display.setCursor(0,0);
  display.setTextSize(1);
  display.println("2.Temp/Hum      "+ String(int_var_Input_WLAN) + " %");
  
  display.setTextSize(3);
  display.println(string_var_Input1+" C");
  display.println(string_var_Input2+" %");
  
  display.setTextSize(1);
  display.println("        .|.");
  display.display();
}

void void_OLED_runloop_Time(String string_var_Input1, String string_var_Input2, int int_var_Input_WLAN){
  //[DE] Kopfzeile für Uhrzeit und WLAN Stärke
  //....[EN] Headerrow für Clock and WLAN Strenght
  if (RunOnceWireBeginSetup == 0){
    Wire.begin();
    display.begin(SSD1306_SWITCHCAPVCC, 0x3C);
    RunOnceWireBeginSetup = RunOnceWireBeginSetup + 1;
    display.clearDisplay();
    Serial.println("*Info:DONE:InitDisplay");
  }
  //display.clearDisplay();
  display.clearDisplay();
  
  display.setTextColor(WHITE);
  display.setCursor(0,0);
  display.setTextSize(1);
  display.println("1.Uhrzeit      "+ String(int_var_Input_WLAN) + " %");
  display.println();
  display.setTextSize(4);
  display.println(string_var_Input1+":"+string_var_Input2);
  
  display.setTextSize(1);
  display.println("        |..");
  display.display();
}

void void_OLED_runloop_Status(String string_var_Input1, String string_var_Input2, int int_var_Input_WLAN){
  //[DE] Kopfzeile für Uhrzeit und WLAN Stärke
  //....[EN] Headerrow für Clock and WLAN Strenght
  if (RunOnceWireBeginSetup == 0){
    Wire.begin();
    display.begin(SSD1306_SWITCHCAPVCC, 0x3C);
    RunOnceWireBeginSetup = RunOnceWireBeginSetup + 1;
    display.clearDisplay();
    Serial.println("*Info:DONE:InitDisplay");
  }
  //display.clearDisplay();
  display.clearDisplay();
  
  display.setTextColor(WHITE);
  display.setCursor(0,0);
  display.setTextSize(1);
  display.println("3.Status      "+ String(int_var_Input_WLAN) + " %");
  
  display.setTextSize(1);
  display.println(string_var_Input1);
  display.println(string_var_Input2);
  
  display.setTextSize(1);
  display.println("        ..|");
  display.display();
}

