#include <ESP8266WebServer.h>


void void_OLED_runSetup(String string_var_Input, int int_var_row, int int_var_col, bool bool_var_nl);
void void_OLED_runloop_TempHum(String string_var_Input1, String string_var_Input2, int int_var_Input_WLAN);
void void_OLED_runloop_Time(String string_var_Input1, String string_var_Input2, int int_var_Input_WLAN);
void void_OLED_runloop_Status(String string_var_Input1, String string_var_Input2, int int_var_Input_WLAN);
void SITE_void_handleRoot();
bool fkt_bool_is_authentified();



//[DE] Verschiedene Webseiten zur Ansicht
//
//
//
const char HTML_Header[] PROGMEM = R"=====(
<!DOCTYPE html><html lang=\"en\"><head><meta name=\"viewport\" content=\"width=device-width, initial-scale=1, user-scalable=no\"/>
<title>{v}</title>
  <style>.c{text-align: center;} div,input{padding:5px;font-size:1em;} input{width:95%;} body{text-align: center;font-family:verdana;} button{border:0;border-radius:0.3rem;background-color:#1fa3ec;color:#fff;line-height:2.4rem;font-size:1.2rem;width:100%;} .q{float: right;width: 64px;text-align: right;} .l{background: url("data:image/png;base64,iVBORw0KGgoAAAANSUhEUgAAACAAAAAgCAMAAABEpIrGAAAALVBMVEX///8EBwfBwsLw8PAzNjaCg4NTVVUjJiZDRUUUFxdiZGSho6OSk5Pg4eFydHTCjaf3AAAAZElEQVQ4je2NSw7AIAhEBamKn97/uMXEGBvozkWb9C2Zx4xzWykBhFAeYp9gkLyZE0zIMno9n4g19hmdY39scwqVkOXaxph0ZCXQcqxSpgQpONa59wkRDOL93eAXvimwlbPbwwVAegLS1HGfZAAAAABJRU5ErkJggg==") no-repeat left center;background-size: 1em;}</style>
</head>
<body><div style="text-align:left;display:inline-block;min-width:260px;">
  <h1> {h} </h1>
  <h3> {v} </h3>
)=====";



const char Index_Startseite[] PROGMEM = R"=====(
<!DOCTYPE html><html lang=\"en\"><head><meta name=\"viewport\" content=\"width=device-width, initial-scale=1, user-scalable=no\"/>
<title>{v}</title>
  <style>.c{text-align: center;} div,input{padding:5px;font-size:1em;} input{width:95%;} body{text-align: center;font-family:verdana;} button{border:0;border-radius:0.3rem;background-color:#1fa3ec;color:#fff;line-height:2.4rem;font-size:1.2rem;width:100%;} .q{float: right;width: 64px;text-align: right;} .l{background: url("data:image/png;base64,iVBORw0KGgoAAAANSUhEUgAAACAAAAAgCAMAAABEpIrGAAAALVBMVEX///8EBwfBwsLw8PAzNjaCg4NTVVUjJiZDRUUUFxdiZGSho6OSk5Pg4eFydHTCjaf3AAAAZElEQVQ4je2NSw7AIAhEBamKn97/uMXEGBvozkWb9C2Zx4xzWykBhFAeYp9gkLyZE0zIMno9n4g19hmdY39scwqVkOXaxph0ZCXQcqxSpgQpONa59wkRDOL93eAXvimwlbPbwwVAegLS1HGfZAAAAABJRU5ErkJggg==") no-repeat left center;background-size: 1em;}</style>
</head>
<body><div style="text-align:left;display:inline-block;min-width:260px;">
  <h1> {h} </h1>
  <h3> {v} </h3>
Hausname:<br>
    <input id="s" name="info_hausName" length="32" placeholder="{infhas}" disabled><br>
    Wohnungsname:<br>
    <input id="s" name="info_wohnungsName" length="32" placeholder="{infwos}" disabled><br>
    Raumname:<br>
    <input id="s" name="info_raumName" length="32" placeholder="{infrooms}" disabled><br>
    Sensorname:<br>
    <input id="s" name="info_sensorName" length="32" placeholder="{infsens}" disabled><br>
    
    <table>
      <tr>
        <td>Temperatur</td>
        <td>Luftfeuchtigkeit</td>
        <td>Helligkeit</td>
      </tr>
      <tr>
        <td><input id="s" name="info_temperatur" length="9" placeholder="{inftemp}" disabled></td>
        <td><input id="s" name="info_humidity" length="9" placeholder="{infhum}" disabled></td>
        <td><input id="s" name="info_helligkeit" length="9" placeholder="{inflit}" disabled></td>
      </tr>
      <tr>
        <td>Bewegung?</td>
        <td>Nachtlicht | Notlicht</td>
        <td>Summer?</td>
      </tr>
      <tr>
        <td><input id="s" name="info_Bewegungsmelder" length="9" placeholder="{infbewg}" disabled></td>
        <td>
          <table>
            <tr>
              <td><input id="s" name="info_Nachtlicht" length="5" placeholder="{infNalicht}" disabled></td>
              <td><input id="s" name="info_Notlicht" length="5" placeholder="{infNoLicht}" disabled></td>
            </tr>
          </table>
        </td>
        <td><input id="s" name="info_Summer" length="9" placeholder="{infSumm}" disabled></td>
      </tr>
      <tr>
        <td colspan="2">MQTT Server / Broker</td>
        <td>Port</td>
      </tr>
      <tr>
        <td colspan="2"><input id="s" name="info_mqttBroker" length="26" placeholder="{ssmqqb}" disabled></td>
        <td><input id="s" name="info_mqttBrokerPort" length="5" placeholder="{smqqp}" disabled></td>
      </tr>
    </table>

    MQTTLoginName:<br>
    <input id="s" name="info_loginName" length="32" placeholder="{smqqln}" disabled><br>
    MQTT-VarPfade:<br>
    <input id="s" name="info_mqttPfad" length="64" placeholder="{smqqt}" disabled><br>
    WLAN SSID:<br>
    <input id="s" name="info_WlanSSID" length="64" placeholder="{snwlssid}" disabled><br>
    WLAN IP:<br>
    <input id="s" name="info_WlanIP" length="64" placeholder="{snwlIP}" disabled><br>
    <br>
    <form action="/l" method="post"><button>Login</button></form> <br>
    <form action="/s" method="post"><button>Setup</button></form> <br>
    <br>
    </div>
</body></html>
)=====";

