#include "wifi.h"
#include "gui.h"
#include <ESP8266WiFi.h>


#include <WiFiClient.h> 
#include <ESP8266WebServer.h>
#include <DNSServer.h>
#include <ESP8266mDNS.h>
#include <EEPROM.h>

// WLAN CONNECT: Während des Verbindungsaufbaus blinkt die LED ROT/BLAU
bool fkt_bool_WLAN_connect(const char* ssid, const  char* pass){
  
  void_OLED_runSetup("WLAN Verbinden", 0, 0, 1);
  
  pinMode(0, OUTPUT);
  pinMode(BUILTIN_LED, OUTPUT);
  Serial.println("*INIT:DO  :WiFi Wlan verbinden");
  WiFi.begin(ssid, pass);
  int i=0;
  while (WiFi.status() != WL_CONNECTED) {
    delay(500);
    void_OLED_runSetup("#", 1, i ,0);    
    Serial.print(".");
    digitalWrite(0, !digitalRead(0));
    digitalWrite(BUILTIN_LED, !digitalRead(BUILTIN_LED));
    i=i+1;
    if (i == 25) {
      return false;
    }
  }
  void_OLED_runSetup(" : DONE", 1, i+2, 1);
  Serial.println("");
  Serial.println("*INIT:DONE:WiFi Wlan verbinden");  
  Serial.println("*INIT:INFO:IP address: ");
  Serial.println(WiFi.localIP());
  Serial.println("*----------------------------------");
  digitalWrite(0, LOW);
  digitalWrite(BUILTIN_LED, HIGH);
  
  return true;
}

int int_fkt_WLANProzent(int WLANProzent){
  int int_var_wlaninProzent = map(WLANProzent, -100, -40, 0, 100);
  return int_var_wlaninProzent;
}

